Bug 586326 - No devices shown under 'Firmware RAID' of Specialized Storage UI when install to BIOS RAID
No devices shown under 'Firmware RAID' of Specialized Storage UI when install...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 06:15 EDT by He Rui
Modified: 2011-06-27 11:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog (64.10 KB, text/plain)
2010-04-28 04:57 EDT, Lijian Xu
no flags Details
storage.log (2.52 KB, text/plain)
2010-04-28 04:58 EDT, Lijian Xu
no flags Details
program.log (1.23 KB, text/plain)
2010-04-28 04:58 EDT, Lijian Xu
no flags Details
anaconda.log (5.92 KB, text/plain)
2010-04-28 04:58 EDT, Lijian Xu
no flags Details
dmraid.log (552 bytes, text/plain)
2010-04-28 04:59 EDT, Lijian Xu
no flags Details
udevdb.tgz (5.40 KB, application/x-gzip)
2010-04-28 04:59 EDT, Lijian Xu
no flags Details

  None (edit)
Description He Rui 2010-04-27 06:15:30 EDT
Description of problem:
Install F13-beta-dvd.iso to Bios raid as described in the test case: https://fedoraproject.org/wiki/QA:Testcase_Install_to_BIOS_RAID. At Specialized storage device step, the following screen was expected to happen but actually no devices were found under ''Firmware RAID'':
https://fedoraproject.org/wiki/Design/AnacondaStorageUI#Advanced_Device_Selection_-_Firmware_RAID_Devices_Tab 

Version-Release number of selected component (if applicable):
anaconda 13.37.2
Fedora 13 beta
http://www.smolts.org/client/show/pub_ee6da051-d392-4b68-a700-8a89dc43d574

How reproducible:
100%

Steps to Reproduce:
1. https://fedoraproject.org/wiki/QA:Testcase_Install_to_BIOS_RAID 
2. At Specialized Storage Device Screen, under ''Firmware RAID'' label, nothing was shown.


Expected results:

Bios raid devices should display under 'Firmware RAID'
Comment 1 Hans de Goede 2010-04-27 06:31:46 EDT
Hi,

Please try the installation again, and when you're at the troublesome point, switch to tty2 9ctrl + alt + F2), then copy (scp) all files ending in log from /tmp out of the installer environment and attach them here.

Also do:
dmraid -t -ay -vvv &> dmraid.log

And also attach dmraid.log here.

Last do:
tar cvfz udevdb.tgz /dev/.udev/db

And attach udevdb.tgz here.

Thanks,

Hans
Comment 2 Lijian Xu 2010-04-28 04:57:30 EDT
Created attachment 409725 [details]
syslog
Comment 3 Lijian Xu 2010-04-28 04:58:03 EDT
Created attachment 409728 [details]
storage.log
Comment 4 Lijian Xu 2010-04-28 04:58:27 EDT
Created attachment 409729 [details]
program.log
Comment 5 Lijian Xu 2010-04-28 04:58:57 EDT
Created attachment 409730 [details]
anaconda.log
Comment 6 Lijian Xu 2010-04-28 04:59:19 EDT
Created attachment 409731 [details]
dmraid.log
Comment 7 Lijian Xu 2010-04-28 04:59:46 EDT
Created attachment 409732 [details]
udevdb.tgz
Comment 8 Lijian Xu 2010-04-28 05:01:22 EDT
Hi, I've uploaded the required logs from the machine, please check, thanks.
Comment 9 Hans de Goede 2010-04-28 05:09:33 EDT
Hi,

You seem to only have a single disk inside your machine and there is no BIOS RAID / Firmware RAID metadata on that disk. Why do you expect a RAID SET to show up in the Firmware RAID tab ?

Note that the test case you are referring to is meant to actually be executed on hardware which is Firmware RAID capable, has its RAID Firmware enabled, and an RAID set has been created inside the Firmware RAID (OROM) setup.

Regards,

Hans
Comment 10 Bug Zapper 2011-06-02 10:49:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 11:54:13 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.